Subject: [MMUSIC] ICE-10: Inactive and components

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Tue, 12 Sep 2006 12:58:23 +0200

Hi,

Chapter 4.3 says that candicates are chosen for components which are not
inactive.

Chapter 4.4, however, does not mention inactive at all, which means that
candidates must be included also for inactive components.

Regards,

Christer
_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 13 Sep 2006 16:03:17 -0400

I think the text is confused. I actually do think you need to do checks 
if the stream has a=inactive, in the same way you still do RTCP. The 
only case in which you wouldn't do them is if the port is zero or the IP 
is 0.0.0.0 per my other note.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Thu, 14 Sep 2006 08:52:51 +0200

Hi, 

>I think the text is confused. I actually do think you need to 
>do checks if the stream has a=inactive, in the same way you 
>still do RTCP. The only case in which you wouldn't do them is 
>if the port is zero or the IP is 0.0.0.0 per my other note.

Do we also need to consider the SDP bandwidth (b=) parameter? I guess
it's difficult to estimate how much bandwidth is required for STUN, but
what about the case when a zero bandwidth value is specified for RTP,
RTCP or whatever stream/stream component?

Regards,

Christer

> > Hi,
> > 
> > Chapter 4.3 says that candicates are chosen for components 
> which are 
> > not inactive.
> > 
> > Chapter 4.4, however, does not mention inactive at all, which means 
> > that candidates must be included also for inactive components.
> > 
> > Regards,
> > 
> > Christer
> > 
> 
> --